Effective Access
Retrieve publishing effective access of a user from a specific Site
Query parameters
siteIdinteger · int32Optional
Site ID from which to retrieve the effective access
Body
usernamestring · nullableRequired
Username.
clientDeviceNamestring · nullableOptional
Client device name.
clientDeviceOSstring · enumRequiredPossible values:
Client Types
privateIPAddressstring · nullableOptional
Private IP address.
hardwareIDstring · nullableOptional
Hardware Id.
gatewayIPstring · nullableOptional
Secure Gateway IP.
themeIdinteger · int32Optional
Theme Id.
Responses
200
Success
application/json; api-version=1.0
integer · int32[]Optional
401
Unauthorized
application/json; api-version=1.0
404
Not Found
application/json; api-version=1.0
get/api/PubEffectiveAccess
GET /api/PubEffectiveAccess HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 242
{
"username": "text",
"clientDeviceName": "text",
"clientDeviceOS": [
"1 = Windows",
"2 = Linux",
"3 = macOS",
"5 = Android",
"6 = iOS",
"7 = WebClient",
"9 = Wyse",
"255 = Any"
],
"privateIPAddress": "text",
"hardwareID": "text",
"gatewayIP": "text",
"themeId": 1
}[
1
]Last updated